  module pdutil
!***********************************************************************
!23456789012345678901234567890123456789012345678901234567890123456789012
  implicit none
  
  private
  
  public :: init_file, closeifopen

  contains
!***********************************************************************
  subroutine init_file(fname,iunit)
  implicit none
! creates a new blank formatted file or replaces an old one with a blank
! file
!***********************************************************************

  character(len=*), intent(in) :: fname
  integer :: iunit
  
  call closeifopen(iunit)
  open(iunit,file=fname,status='replace',form='formatted')
  close(iunit)
  
  end subroutine init_file
!***********************************************************************
  subroutine closeifopen(iunit)
  implicit none
  
! closes a file if it is open
!***********************************************************************

  integer, intent(in) :: iunit
  logical :: isopen

  inquire(unit=iunit,opened=isopen)
  if(isopen) close(iunit)
  
  end subroutine closeifopen

  end module pdutil
!***********************************************************************
